pvebc: Minor bash improvements

Add minor improvements to the scripts the dracut module calls.

Reviewed-by: Holger Dengler <dengler@linux.ibm.com>
Signed-off-by: Finn Callies <fcallies@linux.ibm.com>
Signed-off-by: Jan Höppner <hoeppner@linux.ibm.com>
This commit is contained in:
Finn Callies
2026-05-06 11:57:58 +02:00
committed by Jan Höppner
parent 851f63eb03
commit 36a7b2e6eb
2 changed files with 21 additions and 1 deletions

View File

@@ -3,7 +3,20 @@
#
# Copyright IBM Corp.
set -eu
IBM_RSRC_DIR="/etc/sel-ebc"
block_dev="$(blkid -L cryptroot)"
if [[ -z "${block_dev}" ]]; then
echo "Unable to find partition with label cryptroot"
exit 1
elif [[ ! -b "${block_dev}" ]]; then
echo "Unable to find block device ${block_dev}"
exit 1
else
echo "Found block device ${block_dev}"
fi
if [[ ! -f "${IBM_RSRC_DIR}/crypttab" ]]; then
echo "Error: source file $IBM_RSRC_DIR/crypttab does not exist"

View File

@@ -48,16 +48,23 @@ fi
pvebc --toc "$EBC_TMPFS/$TOC"
rc=$?
if [[ $rc -ne 0 ]]; then
echo "pvebc failed with rc=${rc}"
exit $rc
fi
# Retrieve and check for dummy LUKS passphrase
pvsecret retrieve --inform name -o "$EBC_TMPFS/$ASR_NAME" --outform bin "$ASR_NAME"
rc=$?
if [[ $rc -ne 0 ]]; then
echo "pvsecret failed with rc=${rc}"
exit $rc
fi
if [[ ! -f "$EBC_TMPFS/$ASR_NAME" ]]; then
echo "$EBC_TMPFS/$ASR_NAME does not exist"
exit 1
fi
chmod 400 "$EBC_TMPFS/$ASR_NAME"
exit 0
exit $?